import Phaser from "phaser";

import World from './game/controller/scenes/game-world-scene';
import MainMenu from'./menu/controller/scenes/main-menu-scene';

export default class PhaserEngine {
  constructor() {

    // our game's configuration
    let config = {
      type: Phaser.CANVAS,
      width: 1200,
      height: 500,
      scene: [MainMenu,World],
      backgroundColor: 'rgba(34,139,34 ,1 )'
    };

    this.gameEngine = new Phaser.Game(config);
  }

  start() {
    this.gameEngine.scene.start('MainMenu');
  }

}
